/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import ClayButton from '@clayui/button';
import ClayIcon from '@clayui/icon';
import classNames from 'classnames';
import React from 'react';

export default function SideMenu({active, items, open}) {
	return (
		<ul className="bg-dark fds-side-menu nav" role="tablist">
			{items.map((item) => (
				<li className="nav-item" key={item.slug}>
					<ClayButton
						className={classNames(
							'mx-3 my-2 btn-secondary',
							active === item.slug && 'active'
						)}
						displayType="unstyled"
						monospaced
						onClick={(event) => {
							event.preventDefault();
							open(item.href, item.slug);
						}}
					>
						<ClayIcon symbol={item.icon} />
					</ClayButton>
				</li>
			))}
		</ul>
	);
}
